<Manage::Container ...attributes @title={{capitalize (t "new calendar")}} @breadcrumbs={{@breadcrumbs}} {{did-insert this.setup}}>
  <:content>
    <Manage::RowAdd @name="name" as |id|>
      <Input::Text class="form-control form-control-name" id={{id}} @value={{@model.name}} @onChange={{fn this.changeField "name"}} placeholder={{capitalize (t "what is the calendar name?")}} />
    </Manage::RowAdd>

    <Manage::RowAdd @name="about" as |id|>
      <Article::Editor @id={{id}} @value={{this.article}} @onChange={{this.changeArticle}} @allowNoHeading={{true}} class="article-with-borders" />
    </Manage::RowAdd>

    <Manage::RowAdd @name="type" as |id|>
      <Input::Select id={{id}} @list={{this.eventTypes}} @value={{@model.type}} @onChange={{fn this.changeField "type"}} />
    </Manage::RowAdd>

    <Input::Manage::FeatureFlagTeams @onChange={{fn this.changeField "visibility.team"}} @value={{@model.team}} @next="manage.newsletter.add" @flag="allowEvents" />

    <Manage::Row @name="add">
      <Input::Button type="button" class="btn btn-primary btn-submit" @action={{this.save}} @disabled={{not this.canSubmit}} role="button">
        {{capitalize (t "add")}}
      </Input::Button>
    </Manage::Row>
  </:content>
</Manage::Container>